YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class AxisLabelData

Package | com.yahoo.astra.fl.charts.axes
Class | public class AxisLabelData

Dimension data shared by axes of the same type

Public Properties

| Property | Defined by
--- | --- | ---
|  | bottomLabelOffset : Number Maximum possible overflow on the bottom side of the axis | AxisLabelData
|  | leftLabelOffset : Number Maximum possible overflow on the left side of the axis | AxisLabelData
|  | maxLabelHeight : Number = 0 Height of the largest possible axis label based on series data, rotation and text formatting | AxisLabelData
|  | maxLabels : Number = 2 Maximum number of labels that can appear on a given axis | AxisLabelData
|  | maxLabelWidth : Number = 0 Width of the largest possible axis label based on the series data, rotation and text formatting | AxisLabelData
|  | rightLabelOffset : Number Maximum possible overflow on the right side of the axis | AxisLabelData
|  | topLabelOffset : Number Maximum possible overflow on the top side of the axis | AxisLabelData

Public Methods

| Method | Defined by
--- | --- | ---
|  | AxisLabelData() Constructor | AxisLabelData

Property detail

bottomLabelOffset | property

`bottomLabelOffset:Number` [read-write]

Maximum possible overflow on the bottom side of the axis

Implementation
`public function get bottomLabelOffset():Number`
`public function set bottomLabelOffset(value:Number):void`

leftLabelOffset | property |

`leftLabelOffset:Number` [read-write]

Maximum possible overflow on the left side of the axis

Implementation
`public function get leftLabelOffset():Number`
`public function set leftLabelOffset(value:Number):void`

maxLabelHeight | property |

`public var maxLabelHeight:Number = 0`

Height of the largest possible axis label based on series data, rotation and text formatting

maxLabels | property |

`public var maxLabels:Number = 2`

Maximum number of labels that can appear on a given axis

maxLabelWidth | property |

`public var maxLabelWidth:Number = 0`

Width of the largest possible axis label based on the series data, rotation and text formatting

rightLabelOffset | property |

`rightLabelOffset:Number` [read-write]

Maximum possible overflow on the right side of the axis

Implementation
`public function get rightLabelOffset():Number`
`public function set rightLabelOffset(value:Number):void`

topLabelOffset | property |

`topLabelOffset:Number` [read-write]

Maximum possible overflow on the top side of the axis

Implementation
`public function get topLabelOffset():Number`
`public function set topLabelOffset(value:Number):void`
Constructor detail

AxisLabelData | () | constructor

`public function AxisLabelData()`

Constructor